From 4d85c8ab7660d504bc4f08dd17fcdeff2280b8e6 Mon Sep 17 00:00:00 2001
From: Sayak Sarkar <ssarkar@redhat.com>
Date: Jul 26 2017 14:22:14 +0000
Subject: [PATCH 906/1001] Removed the FedoraHostedProject validator along with its unit tests and VCR files.


---

diff --git a/hubs/tests/test_widget_validators.py b/hubs/tests/test_widget_validators.py
index 2cadf7f..ba0c2b8 100644
--- a/hubs/tests/test_widget_validators.py
+++ b/hubs/tests/test_widget_validators.py
@@ -57,11 +57,3 @@ class ValidatorsTest(APPTest):
             validators.PagureRepo.from_string("fedora-hubs"), "fedora-hubs")
         self.assertRaises(ValueError, validators.PagureRepo.from_string,
                           "something-that-does-not-exist")
-
-    def test_fedorahosted_project(self):
-        self.assertEqual(
-            validators.FedorahostedProject.from_string("about-fedora"),
-            "about-fedora")
-        self.assertRaises(
-            ValueError, validators.FedorahostedProject.from_string,
-            "something-that-does-not-exist")
diff --git a/hubs/widgets/validators.py b/hubs/widgets/validators.py
index 98fef57..bf05a53 100644
--- a/hubs/widgets/validators.py
+++ b/hubs/widgets/validators.py
@@ -138,18 +138,6 @@ class PagureRepo(Validator):
         raise ValueError('Invalid pagure repo')
 
 
-class FedorahostedProject(Validator):
-    """Fails if the FedoraHosted project name does not exist."""
-
-    @classmethod
-    def from_string(cls, value):
-        response = requests.get("https://fedorahosted.org/%s/" % value,
-                                timeout=5, allow_redirects=False)
-        if response.status_code == 200:
-            return value
-        raise ValueError('Invalid fedorahosted project')
-
-
 class CommaSeparatedList(Validator):
     """Fails if the value isn't a comma-separated list.
 

